VkSparseImageMemoryRequirements Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkSparseImageMemoryRequirements:
[legend]

## Data Fields

VkSparseImageFormatProperties | formatProperties
uint32_t | imageMipTailFirstLod
VkDeviceSize | imageMipTailSize
VkDeviceSize | imageMipTailOffset
VkDeviceSize | imageMipTailStride

## Detailed Description

Definition at line 1733 of file vulkan.h.

## Field Documentation

## formatProperties

VkSparseImageFormatProperties VkSparseImageMemoryRequirements::formatProperties

Definition at line 1734 of file vulkan.h.

## imageMipTailFirstLod

uint32_t VkSparseImageMemoryRequirements::imageMipTailFirstLod

Definition at line 1735 of file vulkan.h.

## imageMipTailOffset

VkDeviceSize VkSparseImageMemoryRequirements::imageMipTailOffset

Definition at line 1737 of file vulkan.h.

## imageMipTailSize

VkDeviceSize VkSparseImageMemoryRequirements::imageMipTailSize

Definition at line 1736 of file vulkan.h.

## imageMipTailStride

VkDeviceSize VkSparseImageMemoryRequirements::imageMipTailStride

Definition at line 1738 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h